final: prev:

# Changes to packages from nixpkgs

{
  blis = ((prev.blis.override {
    blas64 = true;
    withArchitecture = "generic";
  }).overrideAttrs (old: {
    nativeBuildInputs = (old.nativeBuildInputs or []) ++ [
      prev.buildPackages.gfortran
    ];
  })).overrideDerivation (old : {
    configureFlags = [
      "--enable-cblas"
      "--blas-int-size=64"
      "--enable-threading=openmp"
      #"--build=x86_64-unknown-linux-gnu"
      #"--host=riscv64-unknown-linux-gnu"
      "generic"
    ];
  });

  unalignedCheck = prev.stdenv.mkDerivation {
    name = "unaligned-check";
    src = ./unalign.c;
    unpackPhase = ''
      cp ${./unalign.c} unalign.c
    '';
    dontConfigure = true;
    buildPhase = ''
      $CC unalign.c -o unalign_check
    '';
    installPhase = ''
      mkdir -p $out/bin
      cp unalign_check $out/bin/
    '';
  };
}
